#pragma once

#include <QObject>
#include "hello_world_publisher.hpp"
#include <memory>

class DDSManager : public QObject
{
    Q_OBJECT

public:
    explicit DDSManager(QObject *parent = nullptr);
    ~DDSManager();

    bool init();
    Q_INVOKABLE void publishOnce();

signals:
    void messagePublished(const QString& message, int index);

private:
    std::unique_ptr<HelloWorldPublisher> publisher_;
}; 
